package com.baoshi.swms.bean;

import com.baoshi.swms.util.DateUtil;
import com.google.gson.annotations.SerializedName;

import java.io.Serializable;
import java.util.Date;

/**
 * 盘点单子项
 *
 * @author Zhendong Zhou
 * @date 2021/12/17 15:46
 */
public class StocktakingItem implements Serializable {
    private static final long serialVersionUID = 111231L;

    private Long id;

    @SerializedName("produced_at")
    private String prodAt;

    @SerializedName("verified_amount")
    private Integer verifiedAmount;

    @SerializedName("valid_at")
    private String expiryDate;

    @SerializedName("batch_number")
    private String lotNum;

    @SerializedName("erp_type_position")
    private String attrWarehouse;
    private String quality;

    public String getQuality() {
        return quality;
    }

    public void setQuality(String quality) {
        this.quality = quality;
    }

    public String getAttrWarehouse() {
        return attrWarehouse;
    }

    public void setAttrWarehouse(String attrWarehouse) {
        this.attrWarehouse = attrWarehouse;
    }

    public String getLotNum() {
        return lotNum;
    }

    public void setLotNum(String lotNum) {
        this.lotNum = lotNum;
    }

    public Date getExpiryDate() {
        return DateUtil.strToDate(expiryDate);
    }

    public void setExpiryDate(String expiryDate) {
        this.expiryDate = expiryDate;
    }

    public Date getProdAt() {
        return DateUtil.strToDate(prodAt);
    }

    public void setProdAt(String prodAt) {
        this.prodAt = prodAt;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Integer getVerifiedAmount() {
        return verifiedAmount;
    }

    public void setVerifiedAmount(Integer verifiedAmount) {
        this.verifiedAmount = verifiedAmount;
    }
}
